%define prefix /usr/local/citadel

Name: webcit 
Summary: HTTP/HTML interface for Citadel-UX.
Version: 2.11
Release: 3
Source:  %{name}-%{version}.tar.gz
Source1: background.gif
URL: ftp://ftp.tux.org/pub/net/%{name}-%{version}.tar.gz
Group: Applications/Communications
Copyright: GPL
BuildRoot: /var/tmp/%{name}-%{version}
Requires: citadel-ux
Prefix: %{prefix}
Packager: Brian Wright <bdw@aturna.com>
Vendor: Citadel/UX group <http://http://pixel.citadel.org/mirrors/uncnsrd> 

%description
Citadel/UX is a sophisticated BBS package which allows multiple users to
simultaneously access the system using a variety of user interfaces.  This
package (WebCit) is a "middleware" package which presents an HTML/HTTP user
interface to the Citadel system.

What this means in practice is that after you've installed WebCit, users can
access all functions of your BBS using any web browser.  Since this may be the
first Citadel experience for many new users, the screens have been designed to
be attractive and easy to navigate.
 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n webcit

%build
./configure --prefix=%{prefix}
make

%install

install -d $RPM_BUILD_ROOT%{prefix}
install -d $RPM_BUILD_ROOT%{prefix}/static
install -d $RPM_BUILD_ROOT%{prefix}/images
install -d $RPM_BUILD_ROOT%{prefix}/var/log
install -m 755 webserver $RPM_BUILD_ROOT%{prefix}
install -m 644 $RPM_SOURCE_DIR/background.gif $RPM_BUILD_ROOT%{prefix}/images/background.gif
install -m 644 static/velma.gif $RPM_BUILD_ROOT%{prefix}/images/hello.gif
install -m 644 static/*.htm* $RPM_BUILD_ROOT%{prefix}/static
install -m 644 static/*.class $RPM_BUILD_ROOT%{prefix}/static
install -m 644 static/*.gif $RPM_BUILD_ROOT%{prefix}/static
install -m 644 static/*.jpg $RPM_BUILD_ROOT%{prefix}/static
cp -prf static/README.txt README-static.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/webserver
%{prefix}/static
%{prefix}/images/background.gif
%{prefix}/images/hello.gif

%doc COPYING.txt README.txt ChangeLog README-static.txt

%post
#!/bin/sh
if grep -v '/usr/local/citadel/webserver' /etc/inittab >/dev/null 2>&1 ; then
  echo "wc:2345:respawn:/usr/local/citadel/webserver -t/var/log/citadel/webserver.log" >> /etc/inittab
fi 


%postun
#!/bin/sh
if [ -f /etc/inittab ] &&
   	grep /usr/local/citadel/webserver /etc/inittab >/dev/null 2>&1 ; then
		if grep -v '/usr/local/citadel/webserver' /etc/inittab > /tmp/inittab.$$ ; then
			mv /tmp/inittab.$$ /etc/inittab
		fi
fi

%changelog
* Tue Jan 25 2000 Brian Wright <bdw@aturna.com>
- Cleaned up %post and %postun scripts
* Mon Jan 17 2000 Brian Wright <bdw@aturna.com>
- Added logging options to inittab line
- Included static directory, foolishly left out in first release.
* Mon Jan 17 2000 Brian Wright <bdw@aturna.com>
- First RPM build for RedHat 6.1
